% This Matlab script runs a simulation of an Integrate and Fire neuron that is performing:
% a LearningTheta = 1 STDP rule on one Exc synapse to demonstrate biffurcation on the ExcLearningMu
% (ran for ~14 days to completion of 21x101 x 300 min simulations)
% (ran for 33.9 hours to completion of 21x101 x 30 min simulations)
clear all; path (path, 'CommonLib');
SetLearningK;
%%  Learning configuration tunables:
ProcessingMinutes = 300;
% ProcessingMinutes = 30;
WorkingPoint = '1syn'; SetWorkingPoint; LogPath = ['SimLog\ExcBifMu' num2str(ProcessingMinutes)];

ExcLearningCount = 1;
ExcLearningTheta = 1;
ExcLearningAlpha = 1.13;

LInFinit; LogHeader; tic;
%% Execution loop
for ExcLearningMu = 0:0.005:0.1;
	for ExcSynW0 = 0:0.01:1
		% reset weights
		ExcSynWeights(1:ExcLearningCount) = ExcSynW0;

		LInFneuron;
		SaveNlog;
		sprintf ('loop of %.2f %d ended at %f', ExcLearningMu, ExcSynW0, toc)
	end;
end;
sprintf ('Elapsed time: %.1f hours', toc / 3600)
