% This Matlab script runs a simulation of an Integrate and Fire neuron that is performing:
% a set of STDP learning rules on one Exc synapse
% (ran for 83.0 hours to completion of 6x6x13 x 300 min simulations)
% (ran for 3.6 hours to completion of 3x6x13 x 30 min simulations)
clear all; path (path, 'CommonLib');
SetLearningK;
%%  Learning configuration tunables:
ProcessingMinutes = 300;
% ProcessingMinutes = 30;
WorkingPoint = '1syn'; SetWorkingPoint; LogPath = ['SimLog\Exc3D' num2str(ProcessingMinutes)];

ExcLearningCount = 1;
LearningThetas = [1 1 0.75 0 -0.75 -1]; LearningTypes = 'COOOOO';
LearningMus = [0 0.01 0.02 0.05 0.1 0.2]; LearningAlphas = 0.70:0.05:1.30;

LInFinit; LogHeader; tic;
%% Execution loop
for rule = 1:length (LearningThetas)
	ExcLearningTheta = LearningThetas(rule);
	LearningType = LearningTypes(rule);
	for ExcLearningMu = LearningMus
		for ExcLearningAlpha = LearningAlphas
			% reset weights
			ExcSynWeights(1:ExcLearningCount) = ExcSynW0;

			LInFneuron;
			SaveNlog;
			sprintf ('loop of %c / %f / %f / %f ended at %f', LearningType, ExcLearningTheta, ExcLearningMu, ExcLearningAlpha, toc)
		end;
	end;
end;
sprintf ('Elapsed time: %.1f hours', toc / 3600)
