% This Matlab script runs a simulation of an Integrate and Fire neuron that is performing:
% a LearningTheta = 1 STDP rule on one Inh synapse to demonstrate biffurcation on the InhLearningMu
% (ran for ~14 days to completion of 21x101 x 300 min simulations)
% (ran for 33.7 hours to completion of 21x101 x 30 min simulations)
clear all; path (path, 'CommonLib');
SetLearningK;
%%  Learning configuration tunables:
ProcessingMinutes = 300;
% ProcessingMinutes = 30;
WorkingPoint = '1syn'; SetWorkingPoint; LogPath = ['SimLog\InhBifMu' num2str(ProcessingMinutes)];

InhLearningCount = 1;
InhLearningTheta = -1;
InhLearningAlpha = 1.07;

LInFinit; LogHeader; tic;
%% Execution loop
for InhLearningMu = 0:0.0035:0.07
	for InhSynW0 = 0:0.01:1
		% reset weights
		InhSynWeights(1:InhLearningCount) = InhSynW0;

		LInFneuron;
		SaveNlog;
		sprintf ('loop of %.2f %d ended at %f', InhLearningMu, InhSynW0, toc)
	end;
end;
sprintf ('Elapsed time: %.1f hours', toc / 3600)
