% this Matlab script, calculates a single synapse STA ...
% (ran for ~5.5 days to completion of 5 x 1000 hours simulations on InhStaCount = ExcStaCount = 1)
% (ran for 13.1 hours to completion of 5 x 100 hours simulations on InhStaCount = ExcStaCount = 1)
% (ran for 1.4 hours to completion of 5 x 10 hours simulations on InhStaCount = 1)
clear all; path (path, 'CommonLib');
%%  Learning configuration tunables:
ProcessingMinutes = 60000; % 1000 hours
% ProcessingMinutes = 6000; % 100 hours
% ProcessingMinutes = 600; % 10 hours
WorkingPoint = '1syn'; SetWorkingPoint;
IsInh = 1;

if IsInh
	InhStaCount = 1; LogPath = ['SimLog\InhSTA' num2str(ProcessingMinutes)];
else
	ExcStaCount = 1; LogPath = ['SimLog\ExcSTA' num2str(ProcessingMinutes)];
end;
staLen = .1/dt;

LInFinit; LogHeader; tic;
%% Execution loop
for SynW4sta = 0.1:0.2:0.9
	if IsInh
		InhSynWeights(1:InhStaCount) = SynW4sta;
		LInFneuron;
		InhSTAn = sum (InhSTA, 2)/(dt*InhSTASpikesCount*InhStaCount);
	else
		ExcSynWeights(1:ExcStaCount) = SynW4sta;
		LInFneuron;
		ExcSTAn = sum (ExcSTA, 2)/(dt*ExcSTASpikesCount*ExcStaCount);
	end;
	SaveNlog;
	sprintf ('loop of %f ended at %f', SynW4sta, toc)
end;
sprintf ('Elapsed time: %.1f hours', toc / 3600)
