function [Xp Xd] = CalcMeanOfGammaK (GammaPath, LearningType, LearningTheta)

global LearningKp;
global LearningKd;
%%
tauK = 20e-3;
dx = 0.0001;
t = tauK*(-10:dx:10);
dt = tauK*dx;
load ([GammaPath 'GammaFit.mat']);
G = GammaFit.aG*sin((GammaFit.omegaG*t).^GammaFit.powerG).*exp(-1/GammaFit.tauG*t).*(t>0);
%%
switch (LearningType)
	case {'C'}
		Kp = exp(-1/tauK*t).*(t>0);
		Kd = 0;
	case {'O'}
		Kp = LearningKp (t, LearningTheta, tauK);
		Kd = LearningKd (t, LearningTheta, tauK);
end;
meanKp = sum(Kp)*dt;
meanGKp = sum(G.*Kp)*dt;
if (meanKp ~= 0)
	Xp = meanGKp/meanKp;
else
	Xp = 0;
end;

meanKd = sum(Kd)*dt;
meanGKd = sum(G.*Kd)*dt;
if (meanKd ~= 0)
	Xd = meanGKd/meanKd;
else
	Xd = 0;
end;
% figure; plot (Kp); hold on; plot (Kd, 'r');
% figure; plot (t, Kp-Kd);
