function AnalyticWstar = CalcWstar (Wstars, AnalyticAlphasOfWstar, LearningAlpha, LowerW, LearningMu)

WstarCenter = 0.5*(length (Wstars)+1);

if (LowerW)
	% this separation is done in order to catch the relevant stable solution in case there are 3 competing solutions
	% this mechanism is a shortcut which is not 100% robust, i.e. it does not guaranty that the unstable solution is excluded
	[AlphaError Wid] = min (abs(AnalyticAlphasOfWstar(2:WstarCenter) - LearningAlpha));
	AnalyticWstar = Wstars(Wid+1);
else
	[AlphaError Wid] = min (abs(AnalyticAlphasOfWstar(WstarCenter:end-1) - LearningAlpha));
	AnalyticWstar = Wstars(Wid+WstarCenter-1);
end;

if (LearningMu == 0 && AnalyticWstar == 0.5)
	% this correction is applied in case this estimation is performed in a biffurcating region
	% where the resolution of AnalyticAlphasOfWstar is far insufficient in the Wstar -> 1 and Wstar -> 0 regions
	% (although we use Mu=1e-6 instead of 0 for AnalyticAlphasOfWstar calculation)
	AnalyticWstar = 1-LowerW;
end;