function Fig2SubPlot (hMainFig, FigName, SubFigPos, SubLegendPos, SubColorbarPos)

hSubFig = hgload (FigName);

% embed the figure into the main figure and set its new position
hSubFigChild = get (hSubFig, 'Child');
set (hSubFigChild, 'Parent', hMainFig);
set (hSubFigChild, 'Position', SubFigPos);

% special treatment to the Legend box
hSubLegend = findobj (hSubFigChild, 'type', 'axes', 'tag', 'legend');
if (isfloat (hSubLegend))
	if  (length (SubLegendPos) == 4)
		set (hSubLegend, 'Position', SubLegendPos);	% resize the legend box
		uistack (hSubLegend, 'top');				% make it visible
	else
		uistack (hSubLegend, 'bottom');				% make it invisible
	end;
end

% special treatment to the Colorbar box
hSubColorbar = findobj (hSubFigChild, 'type', 'axes', 'tag', 'Colorbar');
if isfloat (hSubColorbar)
	set (hSubColorbar, 'Position', SubColorbarPos);	% resize the legend box
end


text (-46, 18, 'A', 'FontName', 'Helvetica', 'FontSize', 9, 'FontAngle', 'italic');

delete(hSubFig);
