ExcSpikeTrain = GenRandonSpikeTrains (minuteTimeBins, ExcSynCount, dt, ExcMeanRate, ExcDesc);
InhSpikeTrain = GenRandonSpikeTrains (minuteTimeBins, InhSynCount, dt, InhMeanRate, InhDesc);
%%
if (USE_DELTA_SPIKES == 1)
	InhSynGn = (cellP.TAUinh^2*cellP.GnInhMean/dt)*InhSpikeTrain; % normalization to have same integral as with filtering
	ExcSynGn = (cellP.TAUexc^2*cellP.GnExcMean/dt)*ExcSpikeTrain; % normalization to have same integral as with filtering
	for i = 1:InhSynCount
		spPos = find (InhSynGn(:,i)); InhSyn(i).SpikesTimes = [spPos; minuteTimeBins+1];
	end;
	for i = 1:ExcSynCount
		spPos = find (ExcSynGn(:,i)); ExcSyn(i).SpikesTimes = [spPos; minuteTimeBins+1];
	end;
	return;
end;
%% Convolution with alpha shaped kernel
InhSynGn = zeros (minuteTimeBins, InhSynCount);
ExcSynGn = zeros (minuteTimeBins, ExcSynCount);

for i = 1:InhSynCount
	c = conv (InhSpikeTrain(:,i), cellP.InhKernel);
	InhSynGn(:,i) = c(1:minuteTimeBins);
	spPos = find (InhSpikeTrain(:,i));
	InhSyn(i).SpikesTimes = [spPos; minuteTimeBins+1]; % the extra last spike is a dummy spike used by the LInFneuron code when referring to the "next spike position" in the DW learning
end;
for i = 1:ExcSynCount
	c = conv (ExcSpikeTrain(:,i), cellP.ExcKernel);
	ExcSynGn(:,i) = c(1:minuteTimeBins);
	spPos = find (ExcSpikeTrain(:,i));
	ExcSyn(i).SpikesTimes = [spPos; minuteTimeBins+1]; % the extra last spike is a dummy spike used by the LInFneuron code when referring to the "next spike position" in the DW learning
end;
% figure; plot (InhSpikeTrain(1:1000,1)); hold;  plot (InhSynGn(1:1000,1), 'r');

%% Clearing temporary variables
if (InhStaCount==0); clear InhSpikeTrain; end; % this matrix is used only in STA analysis
if (ExcStaCount==0); clear ExcSpikeTrain; end; % this matrix is used only in STA analysis
clear c;
clear spPos;
