function Kernel2SubPlot (id, rect, LearningType, Theta, IsSnippet)
global LearningKp;
global LearningKd;

Tau = 20e-3;
t = 5*Tau*(-1:0.001:1);

if (LearningType == 'O')
	Kp = LearningKp (t, Theta, Tau);
	Kd = LearningKd (t, Theta, Tau);
	f = 1/max(Kp);
	
	Kp = f*Kp;
	Kd = f*Kd;
else
	Kt = sign(t) .* exp (-abs(t)/Tau);

	Kp = max(Kt,0);
	Kd = -min(Kt,0);
end;
	
m = min (t); M = max (t);

subplot ('Position', rect); hold on;
plot ([m M], [0 0], 'k', 'LineWidth', 1); plot ([0, 0], [-1, 1], 'k', 'LineWidth', 1); % axes
plot (t, Kp, 'b', 'LineWidth', 1);
plot (t, -Kd, 'r', 'LineWidth', 1);
plot (t, Kp-Kd, 'k--', 'LineWidth', 1);

text (1.05*M, 1, id, 'FontName', 'Helvetica', 'FontSize', 9, 'FontAngle', 'italic', 'FontWeight', 'bold');
ylim ([-1 1]);
if (LearningType == 'O')
	text (0.6*M, 0.3, sprintf('\\theta = %.2f', Theta), 'FontName', 'Helvetica', 'FontSize', 9);
else
	text (0.6*M, 0.3, 'st. TAH', 'FontName', 'Helvetica', 'FontSize', 9);
end;

set (gca, 'XTickLabel', '');
if (IsSnippet)
	set (gca, 'YTickLabel', '');
	axis off;
else
	ylabel ('\Delta w', 'FontName', 'Helvetica', 'FontSize', 9, 'Position', [1.1*m, 0]);
	set (gca, 'YTickLabel', [-1, 0, 1], 'FontName', 'Helvetica', 'FontSize', 9);
end;
