cellP.Cm		= 200e-12;	% Membrane capacitance (200 pF)
cellP.Rm		= 100e6;	% Membrane resistance (100 Mohm)
cellP.Vrest		= -70e-3;	% Membrane resting potential (70 mV)
cellP.Eexc		= 0;		% Excitatory synaptic reversal potentials (0 mV)
cellP.Einh		= -70e-3;	% Inhibitory synaptic reversal potentials(70 mV)
cellP.Eth		= -54e-3;	% Membrane potential threshold (54 mV)
cellP.GexcMean	= 30e-9;	% 30 nS
cellP.GinhMean	= 50e-9;	% 50 nS
cellP.TAUexc	= 5e-3;		% 5 mSec
cellP.TAUinh	= 5e-3;		% 5 mSec

cellP.TauMembrane = cellP.Cm*cellP.Rm;
cellP.GnExcMean = cellP.GexcMean*cellP.Rm*ExcConductanceScaling; % no units
cellP.GnInhMean = cellP.GinhMean*cellP.Rm*InhConductanceScaling; % no units
%%
LearningTau = 20e-3;			% 20 mSec
PreSynapticSpikes4calc = 4;		% 4/10Hz = ~400 mSec >> 20 mSec LearningTau
PostSynapticSpikes4calc = 8;	% 8/~(5:40)Hz = ~200:1600 mSec >> 20 mSec LearningTau
NegligibleHistory = -10e10;		%

secondTimeBins = 1/dt;
minuteTimeBins = 60*secondTimeBins;
ProcessingTimeBins = ProcessingMinutes*minuteTimeBins;
ProcessingSeconds = 60*ProcessingMinutes;
%%
dtOverTauMembrane = dt/cellP.TauMembrane;
InvLearningTau = dt/LearningTau;

TimeBins10Tau = 0:dt:10*cellP.TAUexc;
cellP.ExcKernel = cellP.GnExcMean*TimeBins10Tau .* exp(-TimeBins10Tau/cellP.TAUexc);
TimeBins10Tau = 0:dt:10*cellP.TAUinh;
cellP.InhKernel = cellP.GnInhMean*TimeBins10Tau .* exp(-TimeBins10Tau/cellP.TAUinh);
clear TimeBins10Tau;
%%
ExcSynWeights = ExcSynW0*ones (ExcSynCount, 1);
InhSynWeights = InhSynW0*ones (InhSynCount, 1);
