function SaveFigure (FigH, FileName, Format)
OutPath = 'Figures\';
if (exist (OutPath, 'dir') ~= 7)
	mkdir (OutPath); % makes sure we have such sub folder
end;

set (gcf, 'PaperPositionMode', 'auto');

hgsave (FigH, [OutPath FileName '.fig']); % save figure handle for reuse by PackFigures 

switch (Format)
	case {'eps'}
		tmpPath = [OutPath 'tmp\'];
		if (exist (tmpPath, 'dir') ~= 7)
			mkdir (tmpPath); % makes sure we have such sub folder
		end;
		TempFileName = [tmpPath FileName '.eps'];
		
		epsPath = [OutPath 'eps\'];
		if (exist (epsPath, 'dir') ~= 7)
			mkdir (epsPath); % makes sure we have such sub folder
		end;
		OutFileName = [epsPath FileName '.eps'];
		
		print (FigH, '-depsc2', '-loose', TempFileName);
		system (['CommonLib\EmbedFont2EPS ' TempFileName ' ' OutFileName]);
	case {'tiff'}
		tifPath = [OutPath 'tif\'];
		if (exist (tifPath, 'dir') ~= 7)
			mkdir (tifPath); % makes sure we have such sub folder
		end;
		OutFileName = [tifPath FileName '.tif'];
		
		print (FigH, '-dtiff', '-r300', '-loose', OutFileName);
end;
