fileName = datestr (now,30);
if (ExcLearningCount > 0)
	save ([LogPath '\' fileName 'exc.mat'], 'ExcSynW');
end;
if (InhLearningCount > 0)
	save ([LogPath '\' fileName 'inh.mat'], 'InhSynW');
end;
if (InhStaCount > 0)
	save ([LogPath '\' fileName 'sta.mat'], 'InhSTAn');
end;
if (ExcStaCount > 0)
	save ([LogPath '\' fileName 'sta.mat'], 'ExcSTAn');
end;

if (isstruct (InhDesc))
	save ([LogPath '\' fileName 'InhDesc.mat'], 'InhDesc');
end;
if (isstruct (ExcDesc))
	save ([LogPath '\' fileName 'ExcDesc.mat'], 'ExcDesc');
end;

if (SaveExtraInfo)
	save ([LogPath '\' fileName 'psr.mat'], 'PostSynapticRate');
	save ([LogPath '\' fileName 'Vm.mat'], 'VmMean');
	save ([LogPath '\' fileName 'Iexc.mat'], 'IexcMean');
	save ([LogPath '\' fileName 'Iinh.mat'], 'IinhMean');
	save ([LogPath '\' fileName 'Ileak.mat'], 'IleakMean');
	save ([LogPath '\' fileName 'PSTH.mat'], 'PSTH');
end;

BatchLogOut = fopen ([LogPath '\batchOut.csv'], 'a');
fprintf (BatchLogOut, '%s,%s,%d,%f,%d,%d,%d,%d,', fileName, LearningType, ProcessingMinutes, dt, ...
	ExcSynCount, InhSynCount, ExcLearningCount, InhLearningCount);
fprintf (BatchLogOut, '%f,%f,%f,%f,%f,%f,',...
	ExcLearningAlpha, InhLearningAlpha, ExcLearningMu, InhLearningMu, ExcLearningTheta, InhLearningTheta, ExcMeanRate, InhMeanRate);
fprintf (BatchLogOut, '%f,%f,%f,%f,%f,%f,',...
	ExcSynW0, InhSynW0, ExcConductanceScaling, InhConductanceScaling);

fprintf (BatchLogOut, '%d,%d,%f,', ExcStaCount, InhStaCount, staLen, SynW4sta);
fprintf (BatchLogOut, '\n');
fclose (BatchLogOut);
