%% defines these macros used by the learning mechanism: LearningKp, LearningKd
global SkewNormal;
global LearningKp;
global LearningKd;
%%
% the 0.025 below represent the -/+ infinity integral value of the function, which could be scaled by the learning rate (lambda)
% it is set such that in the current tau settings the function reaches ~1 at its peak value
SkewNormal = @(dt, Tshift, Tau, SkP) (0.025/(Tau*(2*pi)^.5)*exp(-(dt-Tshift).^2/(2*Tau^2)) .* (1+erf(SkP*(dt-Tshift)/(Tau*2^.5))));

LearningKp = @(dt, Theta, Tau) (SkewNormal (dt, Tau*2*Theta*(1-Theta^2), Tau, 20*Theta^3));
LearningKd = @(dt, Theta, Tau) (LearningKp (dt, -Theta, Tau*(1+0.5*(1-Theta^2)^2)));
