%% defines these macros used by the learning mechanism: InhDWantiCausal, ExcDWantiCausal, InhDWcausal, ExcDWcausal
% the definition of the learning rules is "compiled" with currently defined alpha / mu / theta parameters

global LearningKp; % previously defined macro in SetLearningK
global LearningKd; % previously defined macro in SetLearningK
%%
switch (LearningType)
	case {'O'}
		DW = @(w, alpha, mu, sk, spikes) (sum ((1-w)^mu * LearningKp(spikes, sk, LearningTau) - alpha*w^mu * LearningKd(spikes, sk, LearningTau)));

		InhDWantiCausal = @(lambda, w, spikes) (lambda*DW (w, InhLearningAlpha, InhLearningMu, InhLearningTheta, dt*spikes));
		ExcDWantiCausal = @(lambda, w, spikes) (lambda*DW (w, ExcLearningAlpha, ExcLearningMu, ExcLearningTheta, dt*spikes));
		InhDWcausal = @(lambda, w, spikes) (lambda*DW (w, InhLearningAlpha, InhLearningMu, InhLearningTheta, dt*spikes));
		ExcDWcausal = @(lambda, w, spikes) (lambda*DW (w, ExcLearningAlpha, ExcLearningMu, ExcLearningTheta, dt*spikes));
	case {'C'}
		Kt = @(spikes) (sum (exp (-InvLearningTau*spikes)));

		InhDWantiCausal = @(lambda, w, spikes) (-lambda*InhLearningAlpha*(w^InhLearningMu)*Kt (-spikes));
		ExcDWantiCausal = @(lambda, w, spikes) (-lambda*ExcLearningAlpha*(w^ExcLearningMu)*Kt (-spikes));
		InhDWcausal = @(lambda, w, spikes) (lambda*((1-w)^InhLearningMu)*Kt (spikes));
		ExcDWcausal = @(lambda, w, spikes) (lambda*((1-w)^ExcLearningMu)*Kt (spikes));
end;
