%% defines the setup of the neuron and the default constants of operation
% '1syn' is the configuration setup used in the article "The effect of STDP..."
% 'BalancedLearning' is the configuration setup used in the article "Balancing Feed-Forward Excitation and Inhibition..."
%%
ExcDesc = [];
InhDesc = [];
switch (WorkingPoint)
	case {'1syn'}
		ExcSynCount = 120; ExcSynW0 = 0.5; ExcConductanceScaling = 1000/ExcSynCount; % (1/N) scaling factor over Gutig's article
		InhSynCount =  40; InhSynW0 = 0.5; InhConductanceScaling =  400/InhSynCount; % (2/N) scaling factor over Gutig's article
	case {'BalancedLearning'}
		ExcSynCount = 120; ExcSynW0 = 0.5; ExcConductanceScaling = 1000/ExcSynCount; % (1/N) scaling factor over Gutig's article
		InhSynCount =  40; InhSynW0 = 0.2; InhConductanceScaling = 1000/InhSynCount; % (5/N) scaling factor over Gutig's article
end;
%% some of these default values are overridden by the calling "main"
dt = 1e-3;
LearningType = 'O';
ExcLearningCount = 0; ExcLearningMu = 0; ExcLearningAlpha = 0; ExcLearningTheta = 0; ExcMeanRate = 10;
InhLearningCount = 0; InhLearningMu = 0; InhLearningAlpha = 0; InhLearningTheta = 0; InhMeanRate = 10;

ExcStaCount = 0; InhStaCount = 0; staLen = 0; SynW4sta = 0;

USE_DELTA_SPIKES = 0;
SaveExtraInfo = 0;
%% the following settings are inactive when Exc/Inh LearningCount are set to 0 (e.g. in STA mode)
LearningLambdaPerMinute = 1e-3*(1+9*(1:-1/ProcessingMinutes:0).^10);
% LearningLambdaPerMinute = 1e-3*ones(ProcessingMinutes,1);
% save ('Log\\LearningLambdaPerMinute.mat', 'LearningLambdaPerMinute');
