%% pack STA figures
clear all; path (path, 'CommonLib');
hMainFig = figure ('Units', 'centimeters', 'Position', [1 1 8.3 7]);
Fig2SubPlot (hMainFig, 'Figures\STAexc.fig', [0.14 0.56 0.80 0.42], [0.20 0.70 0.10 0.20], 0);
Fig2SubPlot (hMainFig, 'Figures\STAinh.fig', [0.14 0.12 0.80 0.42], [0.20 0.20 0.10 0.20], 0);
SaveFigure (hMainFig, 'F3_STAx2', 'eps');
%% pack W0/W* figures
clear all; path (path, 'CommonLib');
SetLearningK;

hMainFig = figure ('Units', 'centimeters', 'Position', [1 1 17.35 16]);
Fig2SubPlot (hMainFig, 'Figures\W0inhC.fig',		[0.30 0.80 0.30 0.14], 0, 0);
Fig2SubPlot (hMainFig, 'Figures\W0inhO1.00.fig',	[0.30 0.65 0.30 0.14], 0, 0);
Fig2SubPlot (hMainFig, 'Figures\W0inhO0.75.fig',	[0.30 0.50 0.30 0.14], 0, 0);
Fig2SubPlot (hMainFig, 'Figures\W0inhO0.00.fig',	[0.30 0.35 0.30 0.14], 0, 0);
Fig2SubPlot (hMainFig, 'Figures\W0inhO-0.75.fig',	[0.30 0.20 0.30 0.14], 0, 0);
Fig2SubPlot (hMainFig, 'Figures\W0inhO-1.00.fig',	[0.30 0.05 0.30 0.14], [0.29 0.00 0.10 0.20], 0);
Fig2SubPlot (hMainFig, 'Figures\W0excC.fig',		[0.65 0.80 0.30 0.14], 0, 0);
Fig2SubPlot (hMainFig, 'Figures\W0excO1.00.fig',	[0.65 0.65 0.30 0.14], 0, 0);
Fig2SubPlot (hMainFig, 'Figures\W0excO0.75.fig',	[0.65 0.50 0.30 0.14], 0, 0);
Fig2SubPlot (hMainFig, 'Figures\W0excO0.00.fig',	[0.65 0.35 0.30 0.14], 0, 0);
Fig2SubPlot (hMainFig, 'Figures\W0excO-0.75.fig',	[0.65 0.20 0.30 0.14], 0, 0);
Fig2SubPlot (hMainFig, 'Figures\W0excO-1.00.fig',	[0.65 0.05 0.30 0.14], 0, 0);

Kernel2SubPlot ('A0', [0.02 0.83 0.16 0.08], 'C', 0, 1);
Kernel2SubPlot ('B0', [0.02 0.68 0.16 0.08], 'O', 1, 1);
Kernel2SubPlot ('C0', [0.02 0.53 0.16 0.08], 'O', 0.75, 1);
Kernel2SubPlot ('D0', [0.02 0.38 0.16 0.08], 'O', 0, 1);
Kernel2SubPlot ('E0', [0.02 0.23 0.16 0.08], 'O', -0.75, 1);
Kernel2SubPlot ('F0', [0.02 0.08 0.16 0.08], 'O', -1, 1);

axes ('position', [0,0,1,1], 'visible', 'off');
text (0.05, 0.98, 'STDP kernel', 'FontName', 'Helvetica', 'FontSize', 10, 'FontWeight', 'bold');
text (0.38, 0.98, 'Inhibitory synapse', 'FontName', 'Helvetica', 'FontSize', 10, 'FontWeight', 'bold');
text (0.70, 0.98, 'Excitatory synapse', 'FontName', 'Helvetica', 'FontSize', 10, 'FontWeight', 'bold');

SaveFigure (hMainFig, 'F5_W0byMuAlpha2X6', 'eps');
%% pack bifurcation figures
clear all; path (path, 'CommonLib');
hMainFig = figure ('Units', 'centimeters', 'Position', [1 1 12.35 10]);
Fig2SubPlot (hMainFig, 'Figures\Bif1inhByMu.fig',		[0.09 0.59 0.32 0.35], 0, [0.42 0.59 0.02 0.35]);
Fig2SubPlot (hMainFig, 'Figures\Bif1excByMu.fig',		[0.59 0.59 0.32 0.35], 0, [0.92 0.59 0.02 0.35]);
Fig2SubPlot (hMainFig, 'Figures\Bif1inhByAlpha.fig',	[0.09 0.11 0.32 0.35], 0, [0.42 0.11 0.02 0.35]);
Fig2SubPlot (hMainFig, 'Figures\Bif1excByAlpha.fig',	[0.59 0.11 0.32 0.35], 0, [0.92 0.11 0.02 0.35]);
axes ('position', [0,0,1,1], 'visible', 'off');
text (0.12, 0.98, 'Inhibitory synapse', 'FontName', 'Helvetica', 'FontSize', 10, 'FontWeight', 'bold');
text (0.62, 0.98, 'Excitatory synapse', 'FontName', 'Helvetica', 'FontSize', 10, 'FontWeight', 'bold');

SaveFigure (hMainFig, 'F6_Bif1synX4', 'tiff');
%% pack phase transition figures
clear all; path (path, 'CommonLib');
hMainFig = figure ('Units', 'centimeters', 'Position', [1 1 8.3 7]);
Fig2SubPlot (hMainFig, 'Figures\PhaseTransitionExc.fig', [0.14 0.56 0.80 0.40], 0, 0);
Fig2SubPlot (hMainFig, 'Figures\PhaseTransitionInh.fig', [0.14 0.12 0.80 0.40], [0.76 0.16 0.10 0.18], 0);
SaveFigure (hMainFig, 'F7_PhaseTransitionX2', 'eps');
