clear all; path (path, 'CommonLib');
% PathPref = 'SimLog\ExcBalance60\'; recordID = 55;
PathPref = 'SimLog\Exc3D300\'; recordID = 483;

FilesDesc = ReadExcel([PathPref 'batchOut.csv']);
Record = FilesDesc(recordID);
%%
load ([PathPref, Record.fileName, 'exc.mat']);
MinScale = 1/60*(1:Record.ProcessingMinutes*60);

thisFig = figure ('Units', 'centimeters', 'Position', [0 0 20 12]); hold on;

Ni2 = floor (Record.ExcLearningCount/2);
for j = 1:Ni2
	plot (MinScale, ExcSynW(j,:), 'Color', [0,0,1-0.5*j/Ni2]);
	plot (MinScale, ExcSynW(Ni2+j,:), 'Color', [0.5+0.5*j/Ni2,0,0]);
end;
% plot (MinScale, mean (ExcSynW(1:Ni2,:), 1), 'k', 'LineWidth', 2);
% plot (MinScale, mean (ExcSynW(Ni2+1:end,:), 1), 'k', 'LineWidth', 2);
title (sprintf('mu = %.3f, alpha = %.3f', Record.ExcLearningMu, Record.ExcLearningAlpha));