clear all; path (path, 'CommonLib');
PathPref = 'SimLog\InhPop2Corr30\'; recordID = 7;

FilesDesc = ReadExcel([PathPref 'batchOut.csv']);
Record = FilesDesc(recordID);
%%
load ([PathPref, Record.fileName, 'inh.mat']);
MinScale = 1/60*(1:Record.ProcessingMinutes*60);

thisFig = figure ('Units', 'centimeters', 'Position', [0 0 20 12]); hold on;

Ni2 = floor (Record.InhLearningCount/2);
for j = 1:Ni2
	plot (MinScale, InhSynW(j,:), 'Color', [0,0,1-0.5*j/Ni2]);
	plot (MinScale, InhSynW(Ni2+j,:), 'Color', [0.5+0.5*j/Ni2,0,0]);
end;
% plot (MinScale, mean (InhSynW(1:Ni2,:), 1), 'k', 'LineWidth', 2);
% plot (MinScale, mean (InhSynW(Ni2+1:end,:), 1), 'k', 'LineWidth', 2);
