clear all; path (path, 'CommonLib');
SetLearningK;
%%
IsInh = 0;
LearningType = 'O';
LearningThetas = -0.19:-0.01:-0.23; % -0.16:-0.02:-0.24; % [-0.18 -0.20 -0.21 -0.22 -0.23];
LearningMu = 1e-4;

Wstar = (0:1e-4:1).^20;
%%
AnalyticAlpha = zeros (length(Wstar), length(LearningThetas));
plotLegend = cell(length(LearningThetas),1);
%%
tic;
for plotCount = 1:length(LearningThetas)
	if IsInh
		[Xp Xd] = CalcMeanOfGammaK ('SimLog\InhSTA60000\', LearningType, LearningThetas(plotCount));
	else
		[Xp Xd] = CalcMeanOfGammaK ('SimLog\ExcSTA60000\', LearningType, LearningThetas(plotCount));
	end;
	AnalyticAlpha(:, plotCount) = ((1-Wstar)./Wstar).^LearningMu.*(1+Wstar*Xp)./(1+Wstar*Xd);
	plotLegend(plotCount) = {sprintf('\\theta = %.2f', LearningThetas(plotCount))};
end;
toc;
%%
thisFig = figure ('Units', 'centimeters', 'Position', [1 1 12 8]); hold on;
set (gca, 'FontName', 'Helvetica', 'FontSize', 9);
colorSet = [1,0,0;  1,0.5,0;  0,0.6,0;  0,0.4,0.4;  0,0,1;  0.3,0,0.7;  0.5,0,0.5];

for plotCount = 1:length(LearningThetas)
	plot (AnalyticAlpha(:, plotCount), Wstar, 'Color', colorSet(plotCount,:), 'LineWidth', 1);
end;
ylabel ('w^{*}', 'FontName', 'Helvetica', 'FontSize', 9);
xlim ([0.995 1.005]);
ylim ([0 1]);
if IsInh
	xlabel ('\alpha', 'FontName', 'Helvetica', 'FontSize', 9);
	legend (plotLegend, 'FontName', 'Helvetica', 'FontSize', 7, 'Location', 'SouthEast',...
		'PlotBoxAspectRatioMode', 'manual', 'PlotBoxAspectRatio', [1 0.7 1]);
	legend ('boxoff');
	
	text (1.005, 1, 'B', 'FontName', 'Helvetica', 'FontSize', 9, 'FontAngle', 'italic', 'FontWeight', 'bold');
else
	set (gca, 'XTickLabel', '');

	text (1.005, 1, 'A', 'FontName', 'Helvetica', 'FontSize', 9, 'FontAngle', 'italic', 'FontWeight', 'bold');
end;
%%
if IsInh
	SaveFigure (thisFig, 'PhaseTransitionInh', 'tiff');
else
	SaveFigure (thisFig, 'PhaseTransitionExc', 'tiff');
end;
