%
clear all; path (path, 'CommonLib');
%%
PathPref = 'SimLog\RvsW2D60\';
FilesDesc = ReadExcel([PathPref 'batchOut.csv']);
%%
X = 0.1:0.1:0.9;
Y = 0.1:0.1:0.9;
Z = zeros (9, 9);
for i = 1:length(FilesDesc)
	load ([PathPref, FilesDesc(i).fileName, 'psr.mat']);
	Xi = 10*FilesDesc(i).InhSynW0;
	Yi = 10*FilesDesc(i).ExcSynW0;
	Z(Xi,Yi) = 1/60*mean (PostSynapticRate);
end;

%%
thisFig = figure;
set (gca, 'FontName', 'Arial', 'FontSize', 9);
hold all;
ColorSet = [(.9:-.05:.5)', 0*(1:9)', (.1:.1:.9)'];
set(gca, 'ColorOrder', ColorSet);
plot (X, Z, 'LineWidth', 2); grid;
xlabel ('Winh', 'FontName', 'Arial', 'FontSize', 9);
ylabel ('Post Syn Rate', 'FontName', 'Arial', 'FontSize', 9);
plotLegend = cell(9,1); for i = 1:9; plotLegend(i) = {['Wexc = ' num2str(Y(i))]}; end;
legend (plotLegend, 'FontName', 'Arial', 'FontSize', 9, 'Location', 'NorthEast');
%%
% figure;
% plot (X, Z);
% xlabel ('Winh');
% ylabel ('Post Syn Rate');
% legend (plotLegend(6:8), 'Location', 'NorthEast');
% title (['dt = ' num2str(FilesDesc(1).dt) ' - ' PathPref(8:end)]);
% grid;
%%
SaveFigure (thisFig, 'test', 'eps');