clear all; path (path, 'CommonLib');
SetLearningK;
%%
LearningType = 'O';
LearningThetas = -1:0.01:1;
XpV = zeros (length (LearningThetas), 2);
XdV = zeros (length (LearningThetas), 2);
%%
tic;
for ThetaID = 1:length(LearningThetas)
	[XpV(ThetaID, 1) XdV(ThetaID, 1)] = CalcMeanOfGammaK ('SimLog\ExcSTA60000\', LearningType, LearningThetas(ThetaID));
	[XpV(ThetaID, 2) XdV(ThetaID, 2)] = CalcMeanOfGammaK ('SimLog\InhSTA60000\', LearningType, LearningThetas(ThetaID));
end;
toc;
%%
thisFig = figure ('Units', 'centimeters', 'Position', [1 1 8.3 6]); hold on;
set (gca, 'FontName', 'Helvetica', 'FontSize', 9);
colorSet = [1,0,0;  1,0.5,0;  0,0.6,0;  0,0,1;];

plot (LearningThetas, XpV(:, 1), 'Color', colorSet(1,:), 'LineWidth', 1);
plot (LearningThetas, XdV(:, 1), 'Color', colorSet(2,:), 'LineWidth', 1);
plot (LearningThetas, XpV(:, 2), 'Color', colorSet(3,:), 'LineWidth', 1);
plot (LearningThetas, XdV(:, 2), 'Color', colorSet(4,:), 'LineWidth', 1);
xlabel ('\theta', 'FontName', 'Helvetica', 'FontSize', 9);
ylabel ('X_{+/-}', 'FontName', 'Helvetica', 'FontSize', 9);

legend ({'X_+^E', 'X_-^E', 'X_+^I', 'X_-^I'}, 'FontName', 'Helvetica', 'FontSize', 8, 'Location', [0.25 0.75 0.15 0.1]);
legend ('boxoff');
%%
SaveFigure (thisFig, 'F4_XvsTheta', 'eps');

